LotusSpreadsheetInternal::SubDocument Class Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
LotusSpreadsheetInternal::SubDocument Class Referencefinal

Internal: the subdocument of a LotusSpreadsheet. More...

Inheritance diagram for LotusSpreadsheetInternal::SubDocument:

## Public Member Functions
| SubDocument (RVNGInputStreamPtr const &input, LotusSpreadsheet &sheetParser, WPSEntry const &entry)
| constructor for a text entry More...
| ~SubDocument () final
| destructor More...
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const final
| operator== More...
void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType) final
| the parser function More...
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor More...
| ~WKSSubDocument () override
| destructor More...
WKSParser * | parser () const
| returns the parser More...
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator = More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
LotusSpreadsheet * | m_sheetParser
| the spreadsheet parse More...
WPSEntry | m_entry
| a text zone entry More...

## Private Member Functions
| SubDocument (SubDocument const &)=delete
SubDocument & | operator= (SubDocument const &)=delete

## Additional Inherited Members
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a LotusSpreadsheet.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

LotusSpreadsheetInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr const & | input,
|  | LotusSpreadsheet & | sheetParser,
|  | WPSEntry const & | entry
| ) |  |
| inline

constructor for a text entry

## ◆ ~SubDocument()

LotusSpreadsheetInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [2/2]

LotusSpreadsheetInternal::SubDocument::SubDocument | ( | SubDocument const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

SubDocument& LotusSpreadsheetInternal::SubDocument::operator= | ( | SubDocument const & |  | ) |
| privatedelete

Referenced by LotusSpreadsheet::setListener().

## ◆ operator==()

bool LotusSpreadsheetInternal::SubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inlinefinalvirtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void LotusSpreadsheetInternal::SubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| finalvirtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

## ◆ m_entry

WPSEntry LotusSpreadsheetInternal::SubDocument::m_entry

a text zone entry

## ◆ m_sheetParser

LotusSpreadsheet* LotusSpreadsheetInternal::SubDocument::m_sheetParser

the spreadsheet parse

The documentation for this class was generated from the following file:

- LotusSpreadsheet.cpp